Add Business Units
Partner Restricted
All background check API endpoints are restricted to background check providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.
Summary Description
This endpoint inserts package businessUnits and their status by companyId for a given client
Use Cases
- Partner wants to send over one or multiple package businessUnits for a client, can be when onboarding a new client, or can be when client adds new businessUnits to their company
- Partner wants to make bulk changes to package businessUnits to make them either active or inactive for a client
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
companyId
Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.
Headers
testMode
If true all responses are mocked and generated randomly
Accept
Media type(s) the client can accept in the response (typically application/json).
Request
Request payload for this operation. See the official endpoint documentation for required fields and allowable values.
Response
Successful response
Errors
401
Unauthorized Error